Loading...
Searching...
No Matches
Dune::CommPolicy< CommMatrixRow< M, I > > Struct Template Reference

`#include <dune/istl/matrixredistribute.hh>`

## Public Types

typedef CommMatrixRow< M, I > | Type
typedef std::pair< typename I::GlobalIndex, typename M::block_type > | IndexedType
| The indexed type we send. This is the pair of global index indentitfying the column and the value itself.
typedef VariableSize | IndexedTypeFlag
| Each row varies in size.

## Static Public Member Functions

static std::size_t | getSize (const Type &t, std::size_t i)

## Member Typedef Documentation

## IndexedType

template<class M, class I>

typedef std::pair<typename I::GlobalIndex,typename M::block_type> Dune::CommPolicy< CommMatrixRow< M, I > >::IndexedType

The indexed type we send. This is the pair of global index indentitfying the column and the value itself.

## IndexedTypeFlag

template<class M, class I>

typedef VariableSize Dune::CommPolicy< CommMatrixRow< M, I > >::IndexedTypeFlag

Each row varies in size.

## Type

template<class M, class I>

typedef CommMatrixRow<M,I> Dune::CommPolicy< CommMatrixRow< M, I > >::Type

## Member Function Documentation

## getSize()

template<class M, class I>

std::size_t Dune::CommPolicy< CommMatrixRow< M, I > >::getSize | ( | const Type & | t,
|  | std::size_t | i )

inline static

The documentation for this struct was generated from the following file:

- matrixredistribute.hh